Loading...
Searching...
No Matches
cap_alloc.h File Reference

Capability allocator C interface. More...

`#include <l4/sys/types.h>`
`#include <l4/sys/linkage.h>`
Include dependency graph for cap_alloc.h:

Go to the source code of this file.

## Functions

L4_BEGIN_DECLS l4_cap_idx_t | l4re_util_cap_alloc (void) L4_NOTHROW
| Get free capability index at capability allocator.
void | l4re_util_cap_free (l4_cap_idx_t cap) L4_NOTHROW
| Return capability index to capability allocator.
void | l4re_util_cap_free_um (l4_cap_idx_t cap) L4_NOTHROW
| Return capability index to capability allocator, and unmaps the object.
long | l4re_util_cap_last (void) L4_NOTHROW
| Return last capability index the allocator can return.

## Detailed Description

Capability allocator C interface.

Definition in file cap_alloc.h.